import { MessageId } from "./MessageId.js";
export declare class MessageSet {
    #private;
    static decode(bytes: Uint8Array): MessageSet;
    constructor(entries?: Iterable<MessageId | string | Uint8Array>);
    has(messageId: MessageId): boolean;
    add(messageId: MessageId): void;
    delete(messageId: MessageId): void;
    [Symbol.iterator](): MapIterator<MessageId>;
    encode(): Uint8Array;
}
