import pg from "pg";
import { AbstractGossipLog, GossipLogInit } from "../AbstractGossipLog.js";
export declare class GossipLog<Payload> extends AbstractGossipLog<Payload> {
    static open<Payload>(uri: string | pg.ConnectionConfig, { clear, ...init }: GossipLogInit<Payload> & {
        clear?: boolean;
    }): Promise<GossipLog<Payload>>;
}
